<link rel="stylesheet" href="team-information-panel.component.less" />
@if (adminTeamViewComponentData) {
  <div class="team-information-grid">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'team-created'"
      [date]="adminTeamViewComponentData.team.createdOn"
      [userName]="adminTeamViewComponentData.team.createdBy"
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'user-last-modified'"
      [date]="adminTeamViewComponentData.team.lastModifiedOn"
      [userName]="adminTeamViewComponentData.team.lastModifiedBy"
    >
    </sqtm-core-auditable-field>
  </div>
  <div style="margin-top: 20px">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-rich-text
      [size]="'small'"
      [border]="true"
      [focus]="true"
      [attr.data-test-field-id]="'team-description'"
      [sqtmCoreGenericViewEditableRichTextField]="'description'"
      [placeholder]="
        'sqtm-core.generic.editable.description.placeholder' | translate
      "
    >
    </sqtm-core-editable-rich-text>
  </div>
}
